set_graph_undirected {DiagrammeR} | R Documentation

## Convert graph to an undirected graph

### Description

Take a graph which is directed and convert it to an undirected graph.

### Usage

    set_graph_undirected(graph)

### Arguments

`graph` | a graph object of class `dgr_graph`.

### Value

a graph object of class `dgr_graph`.

### Examples

    # Create a graph with a directed tree
    graph <-
      create_graph() %>%
      add_balanced_tree(
        k = 2, h = 2)

    # Convert this graph from directed to undirected
    graph <-
      graph %>%
      set_graph_undirected()

    # Perform a check on whether graph is directed
    graph %>%
      is_graph_directed()
    #> [1] FALSE

[Package DiagrammeR version 0.9.2 Index]